kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject [kafka] branch trunk updated: KAFKA-12790: Remove SslTransportLayerTest.testUnsupportedTlsVersion (#10922)
Date Sun, 27 Jun 2021 21:17:26 GMT
This is an automated email from the ASF dual-hosted git repository.

ijuma pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 12aa595  KAFKA-12790: Remove SslTransportLayerTest.testUnsupportedTlsVersion (#10922)
12aa595 is described below

commit 12aa595e17c495a1650d8da349c8ef69f787ebe8
Author: Ismael Juma <ismael@juma.me.uk>
AuthorDate: Sun Jun 27 14:15:19 2021 -0700

    KAFKA-12790: Remove SslTransportLayerTest.testUnsupportedTlsVersion (#10922)
    
    Support for TLS 1.0/1.1 was disabled in recent versions of Java 8/11
    and all versions of 16 causing this test to fail.
    
    It is possible to make it work by updating the relevant security property,
    but it has to be done before the affected classes are loaded and it can
    not be disabled after that. Given the low value of the test, we remove
    it.
    
    Reviewers: Rajini Sivaram <rajinisivaram@googlemail.com>, Luke Chen <showuon@gmail.com>
---
 .../kafka/common/network/SslTransportLayerTest.java    | 18 ------------------
 1 file changed, 18 deletions(-)

diff --git a/clients/src/test/java/org/apache/kafka/common/network/SslTransportLayerTest.java
b/clients/src/test/java/org/apache/kafka/common/network/SslTransportLayerTest.java
index f9a64f6..17a8d79 100644
--- a/clients/src/test/java/org/apache/kafka/common/network/SslTransportLayerTest.java
+++ b/clients/src/test/java/org/apache/kafka/common/network/SslTransportLayerTest.java
@@ -36,8 +36,6 @@ import org.apache.kafka.common.utils.Utils;
 import org.apache.kafka.test.TestSslUtils;
 import org.apache.kafka.test.TestUtils;
 import org.junit.jupiter.api.AfterEach;
-import org.junit.jupiter.api.condition.DisabledOnJre;
-import org.junit.jupiter.api.condition.JRE;
 import org.junit.jupiter.api.extension.ExtensionContext;
 import org.junit.jupiter.params.ParameterizedTest;
 import org.junit.jupiter.params.provider.Arguments;
@@ -628,22 +626,6 @@ public class SslTransportLayerTest {
     }
 
     /**
-     * Tests that connections cannot be made with unsupported TLS versions
-     */
-    @ParameterizedTest
-    @ArgumentsSource(SslTransportLayerArgumentsProvider.class)
-    @DisabledOnJre(JRE.JAVA_16)
-    public void testUnsupportedTlsVersion(Args args) throws Exception {
-        server = createEchoServer(args, SecurityProtocol.SSL);
-
-        checkAuthenticationFailed(args, "0", "TLSv1.1");
-        server.verifyAuthenticationMetrics(0, 1);
-
-        checkAuthenticationFailed(args, "0", "TLSv1");
-        server.verifyAuthenticationMetrics(0, 2);
-    }
-
-    /**
      * Tests that connections cannot be made with unsupported TLS cipher suites
      */
     @ParameterizedTest

Mime
View raw message